BTI-SHRINK-URLS(1)

NAME
bti-shrink-urls - convert URLs to a shorter form using a web service

SYNOPSIS

bti [--escaped] [--help] [URL]

DESCRIPTION

bti-shrink-urls converts URLs to a shorter form using a web service.

Currently http://2tu.us/ (default) and http://bit.ly / http://j.mp are supported.

OPTIONS

--escaped
    Don't escape special characters in the URL any more, they are already percent encoded.

--help
    Print help text.

URL
    Specify the URL to be converted. If no URL is given bti-shrink-urls waits for input on stdin.

CONFIGURATION

bti-shrink-urls is configured by setting some values in ~/.bti:

shrink_host
    Possible values: 2tu.us (default), bit.ly, j.mp

shrink_bitly_login
    API login for bit.ly, j.mp, required if shrink_host is set to bit.ly or j.mp. See https://code.google.com/p/bitly-api/wiki/ApiDocumentation

shrink_bitly_key
    API key for bit.ly, j.mp, required if shrink_host is set to bit.ly or j.mp. See https://code.google.com/p/bitly-api/wiki/ApiDocumentation

AUTHOR

Written by Bart Trojanowski bart@jukie.net.

COPYRIGHT AND LICENSE

Copyright (C) 2009 Bart Trojanowski bart@jukie.net.

This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation version 2 of the License.